Как меняется ROOT
RFC — открытое предложение изменить протокол. Сейчас эти страницы можно только читать. Голосования нет, скрытого комитета нет, и нет автора, с которым нельзя спорить.
Принципы
- Позже должно быть понятно, кто предложил изменение, какую проблему оно решало и что отклонили.
- Тот, кто ведёт текст, заботится о нём. Это не даёт права быть непогрешимым.
- Если открытой записи мало, протокол можно продолжить отдельно. Такое продолжение называют форком: это нормальный выход, а не предательство.
Как движется предложение
Черновик, обсуждение, проверка, голосование — затем принятие, отказ или внедрение. Голосование здесь описано, но пока не открыто.
Примеры RFC
RFC-0001 · ACCEPTED
Определение Root StateRoot State — имя временного состояния, в котором наблюдение яснее. Это не постоянный ранг и не мистическое достижение.
RFC-0002 · DISCUSSION
Принципы проверки Reality AccessУтверждения о реальности сохраняют явный статус. Проверка — это запись свидетельств, а не благословение.
RFC-0003 · ACCEPTED
Как устроен перевод на несколько языковАнглийский — канонический язык основных документов. Перевод может быть проверенным и при этом не становиться вторым оригиналом.